<?php
/**
 * @subpackage	mod_sp_team
 * @copyright	Copyright (C) 2010 - 2013 JoomShaper. All rights reserved.
 * @license		GNU General Public License version 2 or later; 
 */

// no direct access
defined('_JEXEC') or die;

?>
<div class="performers_wrapper">
  

  <div id="sp-team<?php echo $module->id; ?>" class="sp-team carousel slide<?php echo $params->get('moduleclass_sfx') ?>"  data-ride="carousel">

    <div class="carousel-inner">

      <?php 
          $slides      = $params->get('settings_cnt_slider');
          $total_items = count($data);

          $index = 0;
          $id = 0;
          $data_array = array();

          foreach ($data as $value){
              $data_array[$id][$index] = $value;
              $index++;

              if($index == $params->get('settings_cnt_slider'))
              {
                  $index = 0;
                  $id++;
              }
          }
        ?>
        <?php foreach ($data_array as $data_key => $new_data){  ?>

        <div class="item<?php echo ( $data_key == 0 ) ? ' active' : ''; ?>">

        <div class="row-fluid">

          <?php foreach ($new_data as $key => $value) { ?>


         		<div class="span<?php echo round(12/$slides); ?> ">
               

                  <div class="sp-member">

                      <div class="image-wrapper">
                          <img class="img-thumbnail" src="<?php echo $value['img'] ?>" alt="" >   

                          <!-- Start Member info -->  
                          <div class="sp-team-info">
                            <?php if( isset($value['name']) && ($value['name'] !='') ): ?>
                              <h3 class"sp-team-name"><?php echo $value['name']; ?></h3>
                            <?php endif; ?>
                            
                            <?php if( isset($value['desg']) && ($value['desg'] !='') ): ?>
                              <p class="sp-designation"><?php echo $value['desg']; ?></p>
                            <?php endif; ?>
                          </div>
                          <!-- END Member info -->
                          <!-- start performers-overlay -->
                          <div class="performers-overlay">
                            <div class="sp-team-info">
                              <?php if( isset($value['name']) && ($value['name'] !='') ): ?>
                                <h3 class"sp-team-name"><?php echo $value['name']; ?></h3>
                              <?php endif; ?>
                              
                              <?php if( isset($value['desg']) && ($value['desg'] !='') ): ?>
                                <p class="sp-designation"><?php echo $value['desg']; ?></p>
                              <?php endif; ?>

                              <?php if( isset($value['desc']) && ($value['desc'] !='') ): ?>
                                <p class="sp-description"><?php echo $value['desc']; ?></p>
                              <?php endif; ?>

                             <?php 
                                if( (isset( $value['facebook']) && ($value['facebook'] !=''))
                                || (isset( $value['twitter']) && ($value['twitter'] !=''))
                                || (isset( $value['googleplus']) && ($value['googleplus'] !=''))
                                || (isset( $value['pinterest']) && ($value['pinterest'] !=''))
                                || (isset( $value['linkedin']) && ($value['linkedin'] !='')) ): ?>


                                <div class="social-icons">
                                    <?php if($value['facebook'] !=''): ?>
                                      <a target="_blank" href="<?php echo $value['facebook']; ?>" ><i class="icon-facebook"></i></a>
                                    <?php endif; ?>
                                    <?php if($value['twitter'] !=''): ?>
                                      <a target="_blank" href="<?php echo $value['twitter']; ?>" ><i class="icon-twitter"></i></a>
                                    <?php endif; ?>
                                    <?php if($value['googleplus'] !=''): ?>
                                      <a target="_blank" href="<?php echo $value['googleplus']; ?>" ><i class="icon-google-plus"></i></a>
                                    <?php endif; ?>
                                    <?php if($value['pinterest'] !=''): ?>
                                      <a target="_blank" href="<?php echo $value['pinterest']; ?>" ><i class="icon-pinterest"></i></a>
                                    <?php endif; ?>
                                    <?php if($value['linkedin'] !=''): ?>
                                      <a target="_blank" href="<?php echo $value['linkedin']; ?>" ><i class="icon-linkedin"></i></a>
                                    <?php endif; ?>
                                </div><!--/.social-icons-->
                              <?php endif; ?>
                            </div><!-- /.sp-team-info -->
                          </div> <!-- /.performers-overlay -->
                      </div> <!-- /.image-wrapper -->
                  </div><!--/.member-->

              </div><!--/.li-->

            <?php } ?>

            </div>
          </div>
      	
        <?php } ?>

      </div>
      <?php if($slides < $total_items){?>
        <!-- Carousel nav -->
        <a class="nav-left control" href="#sp-team<?php echo $module->id; ?>" data-slide="prev"><i class="icon-angle-left"></i></a>
        <a class="nav-right control" href="#sp-team<?php echo $module->id; ?>" data-slide="next"><i class="icon-angle-right"></i></a>
      <?php }?>
  </div>
</div>

