<?php
   /**
    * @version    SVN: <svn_id>
    * @package    JTicketing
    * @author     Techjoomla <extensions@techjoomla.com>
    * @copyright  Copyright (c) 2009-2015 TechJoomla. All rights reserved.
    * @license    GNU General Public License version 2 or later.
    */

   // No direct access.
   defined('_JEXEC') or die();
   $jticketingmainhelper =new jticketingmainhelper();
   $app  = JFactory::getApplication();

   $this->jt_params     = $app->getParams('com_jticketing');
   $this->enable_self_enrollment     =  $this->jt_params->get('enable_self_enrollment', '', 'INT');
   $this->supress_buy_button     =  $this->jt_params->get('supress_buy_button', '', 'INT');
   $this->accesslevels_for_enrollment     =  $this->jt_params->get('accesslevels_for_enrollment');
   $user   = JFactory::getUser();
   $groups = $user->getAuthorisedViewLevels();
   $guest  = $user->get('guest');
   $allow_access_level_enrollment = 0;

   // Check access levels for enrollment
   foreach ($groups as $group) {
   	if (in_array($group, $this->accesslevels_for_enrollment)) {
   		$allow_access_level_enrollment = 1;
   		break;
   	}
   }

   // echo "ACCESS LEVELS==";
   // print_r($allow_access_level_enrollment);

   $integration = $this->jt_params->get('integration', '', 'INT');
   ?>
<div class="jticket_pin_item_<?php echo $random_container;?>" >
   <div class="jticketing-event-item">
      <!--thumbnail-->
      <!-- Image-->
      <div class="jticketing-img-wrap">
         <a href="<?php echo $jticketingmainhelper->getEventlink($eventdata->id);?>">
            <?php
            if ($integration == 2){
            	$imagePath = 'media/com_jticketing/images/';
            }
            if ($integration == 4){
            	$imagePath = '/media/com_easysocial/avatars/event/'.$eventdata->id.'/';
            }
            if(empty($eventdata->image)) {
            	$imagePath = JRoute::_(JUri::base() .'media/com_jticketing/images/default_event.png');
            }else{
            	$imagePath = JRoute::_(JUri::base() . $imagePath . $eventdata->image);
            }
            //echo $imagePath;
            ?>
            <div class="jticketing-item-bg" style="background-image: url('<?php echo $imagePath; ?>')">
               
            </div>
         </a>
      </div>
      <!-- Image-->
      <div class="caption jticketing-item-details">
         <!-- sp-vocal-tab -->
         <ul class="nav nav-tabs sp-vocal-tab">
            <li class="active">
               <a href="#event-date26" class="event-date" data-toggle="tab">
                  <span class="date-month"><?php echo JHtml::date($eventdata->startdate, 'M'); ?></span>
                  <span class="date-day"><?php echo JHtml::date($eventdata->startdate, 'd'); ?></span>
               </a>
            </li>
            <li><a href="<?php echo $jticketingmainhelper->getEventlink($eventdata->id) . '#jticketing-event-map'; ?>" class="event-map"><i class="icon-map-marker"></i></a></li>
            <li><a href="<?php echo $jticketingmainhelper->getEventlink($eventdata->id) . '#buy-ticket-wrap'; ?>" class="event-ticket-purchase"><i class="icon-shopping-cart"></i></a></li>
         </ul>
         <!-- caption-->
         <div class="jticketing_caption">
            <a href="<?php echo  $jticketingmainhelper->getEventlink($eventdata->id);?>">
              <h3> <?php echo $eventdata->title; ?></h3>
            </a>
         </div>
         <!--jticketing_caption-->
         <div class="catItemExtraFields">
            <ul>
               <li class="even typeTextarea group1">
                  <span class="catItemExtraFieldsLabel">Location</span>
                  <span class="catItemExtraFieldsValue"><?php echo $eventdata->location; ?></span>
               </li>
               
               <li class="odd typeTextfield group1">
                  <span class="catItemExtraFieldsLabel">Date</span>
                  <span class="catItemExtraFieldsValue">
                     <?php echo JHTML::date($eventdata->startdate , JText::_('DATE_FORMAT_LC1')); ?>
                  </span>
               </li>
               
               <li class="even typeTextfield group1">
                  <span class="catItemExtraFieldsLabel">Time</span>
                  <span class="catItemExtraFieldsValue">
                     <?php echo JHTML::date($eventdata->startdate , JText::_('COM_JTICKETING_TIME_FORMAT_DETAILS_EVENT')); ?>
                  </span>
               </li>
               
               <li class="odd typeTextfield group1">
                  <span class="catItemExtraFieldsLabel">Booking Start</span>
                  <span class="catItemExtraFieldsValue">
                     <?php echo JHTML::date($eventdata->booking_start_date , JText::_('DATE_FORMAT_LC1')); ?>
                  </span>
               </li>
            </ul>
         </div>
         <!--jticketing_place-->
      </div>
      <!--caption-->
   </div> <!-- /.jticketing-event-item -->
</div> <!-- /.jticket_pin_item_ -->
