<?php
/**
 * @package Helix Framework
 * @author JoomShaper http://www.joomshaper.com
 * @copyright Copyright (c) 2010 - 2014 JoomShaper
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or Later
*/
//no direct accees
defined ('_JEXEC') or die('resticted aceess');

class HelixFeatureRotator 
{

	private $helix;
    public $beforeModule=true;

	public function __construct($helix)
	{
		$this->helix = $helix;
	}

	public function onHeader()
	{

		$interval = $this->helix->Param('rotator_interval', 3000);
		
		if(	$this->helix->Param('rotator_image1') ||
			$this->helix->Param('rotator_image2') ||
			$this->helix->Param('rotator_image3') ||
			$this->helix->Param('rotator_image4') ||
			$this->helix->Param('rotator_image5'))
		{

			$output = '';			

			if($this->helix->Param('rotator_image1'))
			{
				$output .= '"' . JURI::base() . $this->helix->Param('rotator_image1').'",';
			}

			if($this->helix->Param('rotator_image2'))
			{
				$output .= '"' . JURI::base() . $this->helix->Param('rotator_image2').'",';
			}

			if($this->helix->Param('rotator_image3'))
			{
				$output .= '"' . JURI::base() . $this->helix->Param('rotator_image3').'",';
			}

			if($this->helix->Param('rotator_image4'))
			{
				$output .= '"' . JURI::base() . $this->helix->Param('rotator_image4').'",';
			}

			if($this->helix->Param('rotator_image5'))
			{
				$output .= '"' . JURI::base() . $this->helix->Param('rotator_image5').'",';
			}

		}

		$output = rtrim($output,',');

		$doc = JFactory::getDocument();
		$doc->addScriptDeclaration("

			jQuery(function($){
				$.backstretch([{$output}], {duration: {$interval}, fade: 750});
			});

			");

		return;

	}

}
?>
